NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.LouverBuilder Class Reference

Represents a louver feature builder. More...

Inheritance diagram for NXOpen.Features.SheetMetal.LouverBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DepthSideOptions { SectionNormalSide, SectionReverseNormalSide }
 This enum represents the depth side for the louver. More...
 
enum  EndTypeOptions { Formed, Lanced }
 This enum represents the end type for the louver. More...
 
enum  SectionSideOptions { Left, Right }
 This enum represents the side of the section that the louver width is measured. More...
 

Public Member Functions

unsafe void SetDepth (string depth)
  More...
 
unsafe void SetDieRadius (string dieRadius)
  More...
 
unsafe void SetWidth (string width)
  More...
 
unsafe int ValidateBuilderData ()
 This method verifies that the builder data is valid for louver creation. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression Depth [get]
 Returns the depth of the louver More...
 
unsafe
NXOpen.Features.SheetMetal.LouverBuilder.DepthSideOptions 
DepthSide [get, set]
 Returns or sets the depth side for the louver. More...
 
unsafe NXOpen.Expression DieRadius [get]
 Returns the die radius. More...
 
unsafe
NXOpen.Features.SheetMetal.LouverBuilder.EndTypeOptions 
EndType [get, set]
 Returns or sets the end type for the louver. More...
 
unsafe bool IncludeRounding [get, set]
 Returns or sets the option to round the edges of the louver using the die radius. More...
 
unsafe NXOpen.Expression MinimumToolClearance [get]
 Returns the minimum tool clearance expression. More...
 
unsafe NXOpen.Section Section [get, set]
 Returns or sets the section used by the louver. More...
 
unsafe
NXOpen.Features.SheetMetal.LouverBuilder.SectionSideOptions 
SectionSide [get, set]
 Returns or sets the side of the section on which the louver is created and width is measure. More...
 
unsafe
NXOpen.Features.SketchFeature 
Sketch [get, set]
 Returns or sets the internal sketch used by the louver's section. More...
 
unsafe NXOpen.Expression Width [get]
 Returns the width of the louver. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a louver feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateLouverFeatureBuilder

Created in NX4.0.0

Member Enumeration Documentation

This enum represents the depth side for the louver.

Enumerator
SectionNormalSide 

Material added on the side of the section normal.

SectionReverseNormalSide 

Material added on the side opposite to that of the section normal.

This enum represents the end type for the louver.

Enumerator
Formed 
Lanced 

This enum represents the side of the section that the louver width is measured.

The "left" option represents the side to the left of a person who is walking along the section in the direction of its curves when the section normal is pointing up. The "right" option represents the person's right hand side. The "right" side at any point along the section can also be represented by the vector resulting from the cross product of the curve tangent (of the section curve at that point) and the section normal. The "left" side is the opposite.

Enumerator
Left 

Side pointed to by the inverse of the tangent cross normal vector

Right 

Side pointed to by the tangent cross normal vector

Member Function Documentation

unsafe void NXOpen.Features.SheetMetal.LouverBuilder.SetDepth ( string  depth)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.LouverBuilder.Depth instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
depth
unsafe void NXOpen.Features.SheetMetal.LouverBuilder.SetDieRadius ( string  dieRadius)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.LouverBuilder.DieRadius instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
dieRadius
unsafe void NXOpen.Features.SheetMetal.LouverBuilder.SetWidth ( string  width)
inline

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.LouverBuilder.Width instead.

License requirements: nx_sheet_metal ("NX Sheet Metal")

Parameters
width
unsafe int NXOpen.Features.SheetMetal.LouverBuilder.ValidateBuilderData ( )
inline

This method verifies that the builder data is valid for louver creation.

If the builder data is valid, it returns a value of 0.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Returns
data validity flag

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.LouverBuilder.Depth
get

Returns the depth of the louver

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.LouverBuilder.DepthSideOptions NXOpen.Features.SheetMetal.LouverBuilder.DepthSide
getset

Returns or sets the depth side for the louver.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.LouverBuilder.DieRadius
get

Returns the die radius.

Not used if NXOpen.Features.SheetMetal.LouverBuilder.IncludeRounding is false.

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.LouverBuilder.EndTypeOptions NXOpen.Features.SheetMetal.LouverBuilder.EndType
getset

Returns or sets the end type for the louver.

Select lanced end or formed end from NXOpen.Features.SheetMetal.LouverBuilder.EndTypeOptions .

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe bool NXOpen.Features.SheetMetal.LouverBuilder.IncludeRounding
getset

Returns or sets the option to round the edges of the louver using the die radius.

If this is false, then the value of NXOpen.Features.SheetMetal.LouverBuilder.DieRadius is not used.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.LouverBuilder.MinimumToolClearance
get

Returns the minimum tool clearance expression.

Created in NX6.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Section NXOpen.Features.SheetMetal.LouverBuilder.Section
getset

Returns or sets the section used by the louver.

The section should be open.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SheetMetal.LouverBuilder.SectionSideOptions NXOpen.Features.SheetMetal.LouverBuilder.SectionSide
getset

Returns or sets the side of the section on which the louver is created and width is measure.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Features.SketchFeature NXOpen.Features.SheetMetal.LouverBuilder.Sketch
getset

Returns or sets the internal sketch used by the louver's section.

If the sketch is created internally as part of the louver command in the UI, then it is consumed by the louver and does not show up as a separate feature in the part navigator. By setting the sketch object here, you will be making it internal to the louver feature.

Created in NX4.0.0

License requirements to get this property: nx_sheet_metal ("NX Sheet Metal")

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal")

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.LouverBuilder.Width
get

Returns the width of the louver.

The side of the section that the width is measured from depends on the value of the section side (see NXOpen.Features.SheetMetal.LouverBuilder.SectionSide ).

Created in NX4.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.